//DSYSTEM :  3-BODYPROBLEM PLANAR - DISSIPATION + VARMASS
//25/3/06 //G.Voyatzis
//rev 5/4/12 >> INCLUDES VARMASS functions - new version



#ifndef _DSYSG3BPR_H
#define _DSYSG3BPR_H

#include <math.h>
#define NEQ 9   //number of 1st order ODEs PLUS 1
#define RNEQ 11   //number of 1st order ODEs PLUS 1 for REGULARIZED EQUATIONS
#define TINY_DT 1.0e-14
//========Global system variables ==================
extern double m1,m2,m3; //masses
extern double Ma1,Ma2; //anigmenes masses of system P1P3 and (P1P3)P2
extern double mu; //ratio m1/(m1+m3)
extern double Ener0,Lang0; //energy and angular momentum
extern double zacc;

void InitializeSystem(double mass1, double mass2, double mass3, double dcoef1, double dcoef2, double vmcoef1, double vmcoef2);

void InertialToRegularized(int collision, double y[], double yr[]);
void RegularizedToInertial(int collision, double yr[], double y[]);
//--derivs---
void dSystem3BPdsptv(double t, double y[],double dd[]);
void dSystem3BPreg(double t, double y[],double dd[]);

//-----------------------------------------------------------------
void GetMasses(double *mass1, double *mass2, double *mass3);
void GetSysCoefs(double *d1,  double *d2, double *vm1,  double *vm2);

double Energy(double y[]);
double AngularMomentum(double y[]);

void GetStarPos(double y[], double z[]);
void SetSystemPos(double X1[], double X2[], double Y[]);

double GetPPdistance(double X[]);
double GetPPdistance(double X1[], double X2[]);
double GetSP1distance(double X[]);
double GetSP2distance(double X[]);


#endif

